Last Comment Bug 684797 - Crash [@ js_ValueToBoolean(js::Value const&) ]
: Crash [@ js_ValueToBoolean(js::Value const&) ]
Status: RESOLVED FIXED
[qa-]
: crash, regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Jan de Mooij [:jandem] (PTO until July 31)
:
Mentors:
: 685081 (view as bug list)
Depends on:
Blocks: 670493
  Show dependency treegraph
 
Reported: 2011-09-05 22:39 PDT by TinyButStrong
Modified: 2011-11-21 16:59 PST (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+


Attachments

Description TinyButStrong 2011-09-05 22:39:15 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:9.0a1) Gecko/20110905 Firefox/9.0a1
Build ID: 20110905030839

Steps to reproduce:

Trying to login to localhost web admin interface of Software Kiwi Syslog Server, that is available only for licensed users.

For info http://www.kiwisyslog.com/kiwi-syslog-server-overview/


Actual results:

Crash Firefox.

Crash report: https://crash-stats.mozilla.com/report/index/bp-a0cb2631-75b5-4408-a2de-0e0d32110905


Expected results:

Not crash?!
Comment 1 TinyButStrong 2011-09-05 22:42:19 PDT
Software version used to report the problem was the latest to current date: 9.2.1
Comment 2 TinyButStrong 2011-09-05 22:47:12 PDT
Ooops, the right crash report url is that one: https://crash-stats.mozilla.com/report/index/bp-e14e300f-4008-46a0-94d6-4256f2110905

Oh better, both are correct, but first one if from my current profile and second one is a new clean profile.
Comment 3 TinyButStrong 2011-09-05 22:54:38 PDT
The crash occur exactly after submit the login form.
Comment 4 Josh Matthews [:jdm] 2011-09-05 23:32:39 PDT
TinyButStrong, since the login screen sounds like it's not easily accessible to others, could you use http://harthur.github.com/mozregression/ in order to determine when this bug was introduced?
Comment 7 Jan de Mooij [:jandem] (PTO until July 31) 2011-09-06 07:52:40 PDT
Looks like a regression from bug 670493.

TinyButStrong, do you mind testing this build: ftp://ftp.mozilla.org/pub/firefox/tinderbox-builds/jaegermonkey-win32/1315303914/ ? Just to make sure the problem has not been fixed already on the JM branch. Thanks in advance.
Comment 8 TinyButStrong 2011-09-06 09:07:05 PDT
Yeah, today build fixed it. Lets mark as resolved.

Thanks Mooij!
Comment 9 Jan de Mooij [:jandem] (PTO until July 31) 2011-09-06 10:09:54 PDT
(In reply to TinyButStrong from comment #8)
> Yeah, today build fixed it. Lets mark as resolved.

Thanks! Just so I understand correctly, the build I linked to in comment 7 works OK and the latest mozilla-central nightly still crashes, right?

I will close this bug when crash-stats.mozilla.com confirms that all js_ValueToBoolean crashes are gone. Just in case there's another bug here :)
Comment 10 TinyButStrong 2011-09-06 11:45:57 PDT
My bad, you are right, mozilla-central still crashes.

I will use an alternative syslog server meanwhile.

Thanks to assist me.
Comment 11 Alice0775 White 2011-09-07 00:55:59 PDT
*** Bug 685081 has been marked as a duplicate of this bug. ***
Comment 12 Jan de Mooij [:jandem] (PTO until July 31) 2011-09-10 04:22:05 PDT
Crash-stats confirms that this has been fixed (and I can no longer reproduce bug 685081):

2011/09/05: 220
2011/09/06: 333
2011/09/07: 3
2011/09/08: 0
2011/09/09: 0
Comment 13 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-11-21 16:59:12 PST
Due to dependencies, qa-. Can someone who is already set up to reproduce this bug please verify the fix? Thanks

Note You need to log in before you can comment on or make changes to this bug.